




More delivery methods in checkout
Return this item within 7 days of purchase.
Get an immediate answer with AI
AI-generated from the text of manufacturer documentation. To verify or get additional information, please contact customer service.
Here's 10 feet of low-loss flexible RF coax cable.

It's suitable for RFC195, RFC240, or RFC400 applications—basically a good all-around cable for radio frequency work.

This is bare cable with no connectors attached, so you can terminate it however you need for your project.

Made for those who need to run their own lines.

Just a solid length of quality coax.



5 out of 5